<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>dez-canvas test</title>

    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../../web-component-tester/browser.js"></script>
    <script src="utils.js"></script>

    <link rel="import" href="../dez-canvas.html">
  </head>
  <body>

    <test-fixture id="CursorTest">
        <template>
            <dez-canvas cursor="100"></dez-canvas>
        </template>
    </test-fixture>

    <script>

    suite ('Cursor tests', () => {

      setup (() => {
        this.element = fixture('CursorTest')
        this.cursor = this.element.shadowRoot.querySelector('svg>rect')
      })

      test('should have the default view height', () => {
        assert.equal(this.cursor.getAttribute("height"), 30);
      });

      test('should be at given x', () => {
        assert.equal(this.cursor.getAttribute("x"), 95);
      });

      test('should be at x when change cursor value', () => {
        this.element.cursor = 200
        assert.equal(this.cursor.getAttribute("x"), 195);
      });

      test('should move the cursor', () => {
        for (let i = 0; i < 100; i++) {
          this.cursor = this.element.shadowRoot.querySelector('svg>rect')
          assert.equal(this.cursor.getAttribute("x"), 95+i);
          this.element.cursor++
        }
        assert.equal(this.cursor.getAttribute("x"), 195);
      });

    });

    </script>

  </body>
</html>
